Skip to main content
GET
/
api
/
search
/
unified
Unified search across documents and memories
curl --request GET \
  --url https://api.example.com/api/search/unified \
  --header 'Authorization: Bearer <token>'
{
  "documents": [
    {
      "document": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>",
        "tags": [
          "<string>"
        ],
        "source_type": "<string>",
        "updated_at": "2023-11-07T05:31:56Z",
        "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "score": 123,
      "snippet": "<string>"
    }
  ],
  "memories": [
    {
      "id": 123,
      "topic": "<string>",
      "content": "<string>",
      "memory_type": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "scope": "<string>",
      "source": "<string>"
    }
  ],
  "query": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q
string
required

Search query

Required string length: 1 - 500
limit
integer
default:20

Max results to return

Required range: 1 <= x <= 100

Response

Successful Response

Response for unified search (documents + memories).

documents
SearchResult · object[]
required
memories
UnifiedSearchResult · object[]
required
query
string
required